---
schema_version: "1"
id: 28752b7baad34a3352fdc020e8247c9c74e306f17fe9286312a187cefc62476d
title: Files and Folders Connect REST API
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/connect-rest/connect-rest-api/references/generated-api-specs/connect-rest-api-files.md
canonical_url: https://developer.salesforce.com/docs/platform/connect-rest-api/references/connect-rest-api-files
source_site: developer.salesforce.com
content_type: documentation
content_hash: 0bccababca9f120f545f09cc93da2aac27423b5c78a018fd9440d48b5170fbdf
products:
  - Connect REST API Developer Guide
  - Connect REST APIs
---
Files and Folders Connect REST API

# Files and Folders Connect REST API

> **Note**: The API Reference has a new three-panel layout. Browse grouped endpoints on the left, review endpoint details in the center, and access examples on the right.

**Important**: Where possible, we changed noninclusive terms to align with our company value of Equality. We maintained certain terms to avoid any effect on customer implementations.

**Version:** v68.0

## Servers

*   `https://{MyDomainName}.my.salesforce.com/services/data/v68.0` API server for your Salesforce org.
    *   ``MyDomainName (default None) Your org's My Domain name, which is used as a subdomain for the URLs that Salesforce uses to serve your org. For example, if your Lightning URL is `https://yourcompanyname.lightning.force.com`, then your My Domain name is `yourcompanyname`. Find your My Domain name and login URL on the My Domain page in Setup, or use the `getMyDomainName()` method in the Apex Domain class.``

## Tags

### Files Connect Repository Resources

A Files Connect repository is an external content repository that’s connected to Salesforce. Use these resources to get a list of repositories, to get information about a repository or a repository file, and to get the content of a repository file. Also use these resources to get information about the files and folders in a repository folder. Use these resources to get a repository’s directory entries, permissions, and permission types. Also use these resources to update a repository’s permissions.

### Files Resources

Get the file upload config. Get information about files, including content, rendered version, and sharing. Get information about asset files, including content and rendition.

### Folders Resources

Get information about a folder or the contents of a folder. Modify, delete, and add items to folders.

### User Files Resources

Get information about a user’s files. Upload a file.

## Operations

### GET Files Connect Repository for a File

`GET /connect/content-hub/items/{repositoryItemId}/repository`

Operation ID: `getContentHubItemRepository`. Tags: Files Connect Repository Resources.

If a contentHubItemId id is given, this returns the repository.

Get Files Connect repository information for a repository file.

#### Experience Cloud site path

`/connect/communities/{communityId}/content-hub/items/{repositoryItemId}/repository`

_Available in: v38.0_

#### Parameters

*   `repositoryItemId` (path, string, required) ID of the repository item.

#### Responses

*   **200** _Files Connect Repository_ Information about a Files Connect repository.
    
    Media type: `application/json`. Schema: `FilesConnectRepositoryContenthub`.
    

### GET Files Connect Repository List

`GET /connect/content-hub/repositories`

Operation ID: `getContentHubRepositoryCollection`. Tags: Files Connect Repository Resources.

List Content Hub repositories.

Get a list of Files Connect repositories.

**Note**: The Experience Cloud site path (`/connect/communities/{communityId}/...`) is available in version 35.0 and later.

#### Experience Cloud site path

`/connect/communities/{communityId}/content-hub/repositories`

_Available in: v32.0_

#### Parameters

*   `canBrowseOnly` (query, boolean)
    
    Retrieves only repositories that support browsing.
    
    _Available in: v32.0_
    
*   `canSearchOnly` (query, boolean)
    
    Retrieves only repositories that support searching.
    
    _Available in: v32.0_
    
*   `page` (query, integer)
    
    An integer specifying a page of items. The default value is 0, which returns the first page.
    
    _Available in: v32.0_
    
*   `pageSize` (query, integer)
    
    Specifies the number of items per page. Valid values are between 1 and 100. If you pass in `null`, the default is 25.
    
    _Available in: v32.0_
    

#### Responses

*   **200** _Files Connect Repository Collection_ A collection of Files Connect repositories.
    
    Media type: `application/json`. Schema: `FilesConnectRepositoryCollection`.
    

### GET Files Connect Repository

`GET /connect/content-hub/repositories/{repositoryId}`

Operation ID: `getContentHubRepository`. Tags: Files Connect Repository Resources.

Content Hub repository resource.

Get information about a Files Connect repository.

**Note**: The Experience Cloud site path (`/connect/communities/{communityId}/...`) is available in version 35.0 and later.

#### Experience Cloud site path

`/connect/communities/{communityId}/content-hub/repositories/{repositoryId}`

_Available in: v32.0_

#### Parameters

*   `repositoryId` (path, string (Id), required) ID of a repository.  
    Pattern: ^(0XC)\\w\*.

#### Responses

*   **200** _Files Connect Repository_ Information about a Files Connect repository.
    
    Media type: `application/json`. Schema: `FilesConnectRepositoryContenthub`.
    

### GET Files Connect Repository Directory Entries

`GET /connect/content-hub/repositories/{repositoryId}/directory-entries`

Operation ID: `getContentHubDirectoryEntryCollection`. Tags: Files Connect Repository Resources.

Collection of directory entries of an external repository.

Get the user and group directory entries of a repository.

#### Experience Cloud site path

`/connect/communities/{communityId}/content-hub/repositories/{repositoryId}/directory-entries`

_Available in: v35.0_

#### Parameters

*   `repositoryId` (path, string (Id), required) ID of a repository.  
    Pattern: ^(0XC)\\w\*.

#### Responses

*   **200** _Repository Directory Entry Collection_ A collection of directory entries.
    
    Media type: `application/json`. Schema: `RepositoryDirectoryEntryCollection`.
    

### GET Files Connect Repository File

`GET /connect/content-hub/repositories/{repositoryId}/files/{repositoryFileId}`

Operation ID: `getContentHubRepositoryFile`. Tags: Files Connect Repository Resources.

Repository file.

Get information about a Files Connect repository file.

**Note**: The Experience Cloud site path (`/connect/communities/{communityId}/...`) is available in version 35.0 and later.

#### Experience Cloud site path

`/connect/communities/{communityId}/content-hub/repositories/{repositoryId}/files/{repositoryFileId}`

_Available in: v32.0_

#### Parameters

*   `repositoryFileId` (path, string, required) ID of the repository file.
*   `repositoryId` (path, string (Id), required) ID of a repository.  
    Pattern: ^(0XC)\\w\*.
*   `includeExternalFilePermissionsInfo` (query, boolean)
    
    Specifies whether to include permission information, such as whether the file is shared and what are the available permission types.
    
    Managing external file permissions is supported for Google Drive, SharePoint Online, and OneDrive for Business.
    
    _Available in: v36.0_
    

#### Responses

*   **200** _Repository File Detail_ Detailed description of a repository file.
    
    Media type: `application/json`. Schema: `RepositoryFileDetail`.
    

### PATCH Files Connect Repository File

`PATCH /connect/content-hub/repositories/{repositoryId}/files/{repositoryFileId}`

Operation ID: `patchContentHubRepositoryFile`. Tags: Files Connect Repository Resources.

Repository file.

Update a Files Connect repository file.

**Note**: The Experience Cloud site path (`/connect/communities/{communityId}/...`) is available in version 35.0 and later.

#### Experience Cloud site path

`/connect/communities/{communityId}/content-hub/repositories/{repositoryId}/files/{repositoryFileId}`

_Available in: v32.0_

#### Parameters

*   `repositoryFileId` (path, string, required) ID of the repository file.
*   `repositoryId` (path, string (Id), required) ID of a repository.  
    Pattern: ^(0XC)\\w\*.

#### Request body

The item type ID and fields of the item type.

Media type: `multipart/form-data`. Schema: `object`.

*   `fileData` (_string (binary)_)
*   `fields` (_array of any_)
    
    List of fields for the item.
    
    Required to create a SharePoint file in a repository because the file name is required; otherwise optional
    
    _Available in: v35.0_
    
*   `itemTypeId` (_string_)
    
    ID of the item type, such as `L3NpdGVzL0FDRVRfRklMRUNPTk5FQ1RfSU5U:5f33e0f4-b33c-4127-b9e4-dd5a73dd2f1b:0c847e7c-d4a2-4136-bfda-c468fae2d087:0x0101`.
    
    To get the `itemTypeId`, use the [Files Connect Repository Folder Allowed Item Types](/docs/platform/connect-rest-api/references/connect-rest-api-files#tag/Files-Connect-Repository-Resources/operation/getContentHubFolderAllowedItemTypes) resource.
    
    Required to create a file in a repository
    
    _Available in: v35.0_
    

_Example: example\_1_ Payload 1

```
{
  "itemTypeId": "L3NpdGVzL0FDRVRfRklMRUNPTk5FQ1RfSU5U:5f33e0f4-b33c-4127-b9e4-dd5a73dd2f1b:0c847e7c-d4a2-4136-bfda-c468fae2d087:0x0101",
  "fields": [
    {
      "name": "name",
      "value": "Content Hub Simple Create Specs"
    },
    {
      "name": "description",
      "value": "Document explaining the various connect api endpoints required for simple create"
    }
  ]
}
```

#### Responses

*   **200** _Repository File Detail_ Detailed description of a repository file.
    
    Media type: `application/json`. Schema: `RepositoryFileDetail`.
    

### GET Files Connect Repository File Content

`GET /connect/content-hub/repositories/{repositoryId}/files/{repositoryFileId}/content`

Operation ID: `getContentHubRepositoryFileContent`. Tags: Files Connect Repository Resources.

Return the content of the repository file from the external system. The content is streamed as the body of the response.

Get the content of the repository file from the external system. The content is streamed as the body of the response.

**Note**: The Experience Cloud site path (`/connect/communities/{communityId}/...`) is available in version 35.0 and later.

#### Experience Cloud site path

`/connect/communities/{communityId}/content-hub/repositories/{repositoryId}/files/{repositoryFileId}/content`

_Available in: v32.0_

#### Parameters

*   `repositoryFileId` (path, string, required) ID of the repository file.
*   `repositoryId` (path, string (Id), required) ID of a repository.  
    Pattern: ^(0XC)\\w\*.

#### Responses

*   **200** Binary stream of the file content.
    
    Media type: `application/octet-stream`. Schema: `string (binary)`.
    
    Binary stream of the file content.
    
    Type: `string (binary)`.
    

### GET Files Connect Repository File Previews

`GET /connect/content-hub/repositories/{repositoryId}/files/{repositoryFileId}/previews`

Operation ID: `getContentHubFilePreviewCollection`. Tags: Files Connect Repository Resources.

Repository file previews

Get information about a repository file's supported previews.

File previews are supported only for Google Drive.

#### Experience Cloud site path

`/connect/communities/{communityId}/content-hub/repositories/{repositoryId}/files/{repositoryFileId}/previews`

_Available in: v36.0_

#### Parameters

*   `repositoryFileId` (path, string, required) ID of the repository file.
*   `repositoryId` (path, string (Id), required) ID of a repository.  
    Pattern: ^(0XC)\\w\*.

#### Responses

*   **200** _File Preview Collection_ A collection of file previews.
    
    Media type: `application/json`. Schema: `FilePreviewCollectionContenthub`.
    

### GET Files Connect Repository File Preview

`GET /connect/content-hub/repositories/{repositoryId}/files/{repositoryFileId}/previews/{formatType}`

Operation ID: `getContentHubFilePreview`. Tags: Files Connect Repository Resources.

Repository file preview of a given format

Get a repository file preview or a specific page in a preview.

File previews are supported only for Google Drive.

#### Experience Cloud site path

`/connect/communities/{communityId}/content-hub/repositories/{repositoryId}/files/{repositoryFileId}/previews/{formatType}`

_Available in: v36.0_

#### Parameters

*   `formatType` (path, ConnectFilePreviewFormatEnumContenthub, required) The file preview format. Hyperforce doesn’t support the SVG file preview format. Any org hosted on Hyperforce defaults to JPG file preview format regardless of the org preference in Setup.
*   `repositoryFileId` (path, string, required) ID of the repository file.
*   `repositoryId` (path, string (Id), required) ID of a repository.  
    Pattern: ^(0XC)\\w\*.
*   `endPageNumber` (query, integer)
    
    The ending page number in the range of file preview URLs.
    
    _Available in: v36.0_
    
*   `startPageNumber` (query, integer)
    
    The starting page number in the range of file preview URLs.
    
    _Available in: v36.0_
    

#### Responses

*   **200** _File Preview_ A file preview.
    
    Media type: `application/json`. Schema: `FilePreviewContenthub`.
    

### GET Files Connect Repository Folder

`GET /connect/content-hub/repositories/{repositoryId}/folders/{repositoryFolderId}`

Operation ID: `getContentHubRepositoryFolder`. Tags: Files Connect Repository Resources.

Repository folder.

Get information about a repository folder.

#### Experience Cloud site path

`/connect/communities/{communityId}/content-hub/repositories/{repositoryId}/folders/{repositoryFolderId}`

_Available in: v38.0_

#### Parameters

*   `repositoryFolderId` (path, string, required) The ID of the repository folder.
*   `repositoryId` (path, string (Id), required) ID of a repository.  
    Pattern: ^(0XC)\\w\*.

#### Responses

*   **200** _Repository Folder Detail_ Details of a repository folder.
    
    Media type: `application/json`. Schema: `RepositoryFolderDetail`.
    

### GET Files Connect Repository Folder Allowed Item Types

`GET /connect/content-hub/repositories/{repositoryId}/folders/{repositoryFolderId}/allowed-item-types`

Operation ID: `getContentHubFolderAllowedItemTypes`. Tags: Files Connect Repository Resources.

Allowed Item Types are a collection of item types which are allowed to be created in a folder under a repository. The item type definition may not always contain the field definition when using this end point. To get the properties of a item type you should call the get on /item by passing in the item id.

Returns item types that are allowed to be created in the repository folder.

To get information about a specific item type, use the [Files Connect Repository Item Type](/docs/platform/connect-rest-api/references/connect-rest-api-files#tag/Files-Connect-Repository-Resources/operation/getContentHubItemType) resource.

#### Experience Cloud site path

`/connect/communities/{communityId}/content-hub/repositories/{repositoryId}/folders/{repositoryFolderId}/allowed-item-types`

_Available in: v35.0_

#### Parameters

*   `repositoryFolderId` (path, string, required) The ID of the repository folder.
*   `repositoryId` (path, string (Id), required) ID of a repository.  
    Pattern: ^(0XC)\\w\*.
*   `filter` (query, FilesConnectItemTypeEnum)
    
    Specifies the item types. Values are:
    
    *   `Any` —Includes files and folders.
    *   `FilesOnly` —Includes files only.
    *   `FoldersOnly` —Includes folders only.
    
    In version 35.0, specify `FilesOnly` .
    
    _Available in: v35.0_
    

#### Responses

*   **200** _Files Connect Allowed Item Type Collection_ The item types allowed to be created in the repository folder.
    
    Media type: `application/json`. Schema: `FilesConnectAllowedItemTypeCollection`.
    

### GET Files Connect Repository Folder Items

`GET /connect/content-hub/repositories/{repositoryId}/folders/{repositoryFolderId}/items`

Operation ID: `getContentHubRepositoryFolderItems`. Tags: Files Connect Repository Resources.

Collection of items in a repository folder.

Get information about the files and folders in a repository folder.

**Note**: The Experience Cloud site path (`/connect/communities/{communityId}/...`) is available in version 35.0 and later.

#### Experience Cloud site path

`/connect/communities/{communityId}/content-hub/repositories/{repositoryId}/folders/{repositoryFolderId}/items`

_Available in: v32.0_

#### Parameters

*   `repositoryFolderId` (path, string, required) The ID of the repository folder.
*   `repositoryId` (path, string (Id), required) ID of a repository.  
    Pattern: ^(0XC)\\w\*.
*   `page` (query, integer)
    
    An integer specifying a page of items. The default value is 0, which returns the first page.
    
    _Available in: v32.0_
    
*   `pageSize` (query, integer)
    
    Specifies the number of items per page. Valid values are between 1 and 100. If you pass in `null`, the default is 25.
    
    _Available in: v32.0_
    

#### Responses

*   **200** _Repository Folder Items Collection_ A collection of repository folder items.
    
    Media type: `application/json`. Schema: `RepositoryFolderItemsCollection`.
    

### POST Files Connect Repository Folder Items

`POST /connect/content-hub/repositories/{repositoryId}/folders/{repositoryFolderId}/items`

Operation ID: `postContentHubRepositoryFolderItems`. Tags: Files Connect Repository Resources.

Collection of items in a repository folder.

Create a file in a repository folder.

Uploads to repositories are limited to 75 MB.

Before you create an item in a repository folder, check to see which item types you’re allowed to create. Use the [Files Connect Repository Folder Allowed Item Types](/docs/platform/connect-rest-api/references/connect-rest-api-files#tag/Files-Connect-Repository-Resources/operation/getContentHubFolderAllowedItemTypes) resource.

To upload a file, send it in a multipart/form-data request. You can include metadata for the file in the multipart/form-data request as a JSON or XML request body. For information about how to create the multipart/form-data message, see [Uploading Binary Files](/docs/platform/connect-rest-api/guide/intro_input#uploading-binary-files).

**Note**: The Experience Cloud site path (`/connect/communities/{communityId}/...`) is available in version 35.0 and later.

#### Experience Cloud site path

`/connect/communities/{communityId}/content-hub/repositories/{repositoryId}/folders/{repositoryFolderId}/items`

_Available in: v32.0_

#### Parameters

*   `repositoryFolderId` (path, string, required) The ID of the repository folder.
*   `repositoryId` (path, string (Id), required) ID of a repository.  
    Pattern: ^(0XC)\\w\*.

#### Request body

The item type ID and fields of the item type.

Media type: `multipart/form-data`. Schema: `object`.

*   `file` (_FilesConnectItemInput_)
*   `fileData` (_string (binary)_)
*   `fields` (_array of any_)
    
    List of fields for the item.
    
    Required to create a SharePoint file in a repository because the file name is required; otherwise optional
    
    _Available in: v35.0_
    
*   `itemTypeId` (_string_)
    
    ID of the item type, such as `L3NpdGVzL0FDRVRfRklMRUNPTk5FQ1RfSU5U:5f33e0f4-b33c-4127-b9e4-dd5a73dd2f1b:0c847e7c-d4a2-4136-bfda-c468fae2d087:0x0101`.
    
    To get the `itemTypeId`, use the [Files Connect Repository Folder Allowed Item Types](/docs/platform/connect-rest-api/references/connect-rest-api-files#tag/Files-Connect-Repository-Resources/operation/getContentHubFolderAllowedItemTypes) resource.
    
    Required to create a file in a repository
    
    _Available in: v35.0_
    

_Example example\_1: same as PATCH /connect/content-hub/repositories/{repositoryId}/files/{repositoryFileId} request._ Payload 1

_Example: example\_1_ Payload 1

#### Responses

*   **200** _Repository Folder Item_ Description of a folder item.
    
    Media type: `application/json`. Schema: `RepositoryFolderItem`.
    

#### Code samples

_Example: Example 1 · HTTP_

```
# This example creates a file and uploads it to an external repository. The
# example shows the body parts in a multipart/form-data request. The first body
# part is a Files Connect Item Input request body. The second is the content of
# the file. For more information, see [Uploading Binary
# Files](/docs/platform/connect-rest-api/guide/intro_input#uploading-binary-files).

POST /services/data/v67.0/connect/content-hub/repositories/0XCxx000000002CGAQ/
folders/folder:0Bz0nXuFg43SiflFNdFNIaUJrY2hQaHVIVHMxYVpHd2ZHeXphTW83TElzcE84RUJ2Q3Q4Rm8/items

Authorization: OAuth 00DD0000000Jhd2!AQIAQC.lh4qTQcBhOPm4TZom5IaOOZLVPVK4wI_rPYJvmE8r2VW8XA.
OZ7S29JEM_7Ctq1lst2dzoV.owisJc0KacUbDxyae
User-Agent: Jakarta Commons-HttpClient/3.0.1
Host: instance_name
Content-Length: 489
Content-Type: multipart/form-data; boundary=a7V4kRcFA8E79pivMuV2tukQ85cmNKeoEgJgq
Accept: application/json

--a7V4kRcFA8E79pivMuV2tukQ85cmNKeoEgJgq
Content-Type: application/json
Content-Disposition: form-data; name="json"

{
   "itemTypeId" : "L3NpdGVzL0FDRVRfRklMRUNPTk5FQ1RfSU5U:5f33e0f4-b33c-4127-b9e4-dd5a73dd2f1b:0c847e7c-d4a2-4136-bfda-c468fae2d087:0x0101",
   "fields" : [
   {
      "name" : "name",
      "value" : "Items Sharepoint 012.png"
   },
   {
      "name" : "description",
      "value" : "This is a test file"
   }]
}

--a7V4kRcFA8E79pivMuV2tukQ85cmNKeoEgJgq
Content-Disposition: form-data; name="fileData"; filename="items_Sharepoint_012.png"
Content-Type: image/png

...PNG...

--a7V4kRcFA8E79pivMuV2tukQ85cmNKeoEgJgq--
```

### GET Files Connect Repository Item Type

`GET /connect/content-hub/repositories/{repositoryId}/item-types/{repositoryItemTypeId}`

Operation ID: `getContentHubItemType`. Tags: Files Connect Repository Resources.

The information related to an individual item type associated with an external repository. The information returned consists of whether the item type requires and supports content, if the item type is versionable etc, and also a collection of field information which is the properties that can be set as part of the metadata of this item type.

Returns information about an item type associated with a repository.

#### Experience Cloud site path

`/connect/communities/{communityId}/content-hub/repositories/{repositoryId}/item-types/{repositoryItemTypeId}`

_Available in: v35.0_

#### Parameters

*   `repositoryId` (path, string (Id), required) ID of a repository.  
    Pattern: ^(0XC)\\w\*.
*   `repositoryItemTypeId` (path, string, required) The ID of the repository item type.

#### Responses

*   **200** _Files Connect Item Type Detail_
    
    Detailed information about an item type associated with a repository folder.
    
    The Files Connect Item Type Detail response body includes all the Files Connect Item Type Summary response body and this property.
    
    Media type: `application/json`. Schema: `FilesConnectItemTypeDetail`.
    

### GET Files Connect Repository Permissions

`GET /connect/content-hub/repositories/{repositoryId}/items/{repositoryItemId}/permissions`

Operation ID: `getContentHubPermissionCollection`. Tags: Files Connect Repository Resources.

Collection of permissions of an external repository.

Get the permissions of a repository file.

Managing external file permissions is supported for Google Drive, SharePoint Online, and OneDrive for Business.

#### Experience Cloud site path

`/connect/communities/{communityId}/content-hub/repositories/{repositoryId}/items/{repositoryItemId}/permissions`

_Available in: v35.0_

#### Parameters

*   `repositoryId` (path, string (Id), required) ID of a repository.  
    Pattern: ^(0XC)\\w\*.
*   `repositoryItemId` (path, string, required) The `{repositoryItemId}` must be a file ID.

#### Responses

*   **200** _Files Connect Permission Collection_ A collection of permissions.
    
    Media type: `application/json`. Schema: `FilesConnectPermissionCollection`.
    

### PATCH Files Connect Repository Permissions

`PATCH /connect/content-hub/repositories/{repositoryId}/items/{repositoryItemId}/permissions`

Operation ID: `patchContentHubPermissionCollection`. Tags: Files Connect Repository Resources.

Collection of permissions of an external repository.

Update the permissions of a repository file.

Managing external file permissions is supported for Google Drive, SharePoint Online, and OneDrive for Business.

#### Experience Cloud site path

`/connect/communities/{communityId}/content-hub/repositories/{repositoryId}/items/{repositoryItemId}/permissions`

_Available in: v35.0_

#### Parameters

*   `repositoryId` (path, string (Id), required) ID of a repository.  
    Pattern: ^(0XC)\\w\*.
*   `repositoryItemId` (path, string, required) The `{repositoryItemId}` must be a file ID.

#### Request body

A collection of permissions to apply or remove.

Media type: `application/json`. Schema: `FilesConnectPermissionCollectionInput`.

_Example: example\_1_ Payload 1

```
{
  "permissionsToApply": [
    {
      "directoryEntryId": "Anyone",
      "permissionTypesIds": [
        "CanView"
      ]
    }
  ],
  "permissionsToRemove": [
    {
      "directoryEntryId": "AnyoneInMyDomain",
      "permissionTypesIds": [
        "CanDelete",
        "CanEdit"
      ]
    }
  ]
}
```

#### Responses

*   **200** _Files Connect Permission Collection_ A collection of permissions.
    
    Media type: `application/json`. Schema: `FilesConnectPermissionCollection`.
    

### GET Files Connect Repository Permission Types

`GET /connect/content-hub/repositories/{repositoryId}/items/{repositoryItemId}/permissions/types`

Operation ID: `getContentHubPermissionTypeCollection`. Tags: Files Connect Repository Resources.

Collection of permission types of an external repository.

Get the permission types of a repository file.

Managing external file permissions is supported for Google Drive, SharePoint Online, and OneDrive for Business.

#### Experience Cloud site path

`/connect/communities/{communityId}/content-hub/repositories/{repositoryId}/items/{repositoryItemId}/permissions/types`

_Available in: v35.0_

#### Parameters

*   `repositoryId` (path, string (Id), required) ID of a repository.  
    Pattern: ^(0XC)\\w\*.
*   `repositoryItemId` (path, string, required) The `{repositoryItemId}` must be a file ID.

#### Responses

*   **200** _Repository Permission Type Collection_ A collection of permission types.
    
    Media type: `application/json`. Schema: `RepositoryPermissionTypeCollection`.
    

### GET Asset Files, Batch

`GET /connect/file-assets/batch/{assetIds}`

Operation ID: `getFileAssetBatch`. Tags: Files Resources.

Return details about the specified asset Ids

Get information about a comma-separated list of up to 100 asset files.

_Available in: v43.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/file-assets/batch/{assetIds}`

_Available in: v43.0_

#### Parameters

*   `assetIds` (path, array of string (Id), required) Comma-separated list of asset IDs.

#### Responses

*   **200** _Batch Results_ Batch results.
    
    Media type: `application/json`. Schema: `Batch`.
    

### GET Asset File Information

`GET /connect/file-assets/{assetId}`

Operation ID: `getFileAsset`. Tags: Files Resources.

Return details about the specified asset.

Get information about an asset file.

_Available in: v38.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/file-assets/{assetId}`

_Available in: v38.0_

#### Parameters

*   `assetId` (path, string (Id), required) ID of the asset.  
    Pattern: ^(03S)\\w\*.

#### Responses

*   **200** _File Detail_ Success
    
    Media type: `application/json`. Schema: `FileDetail`.
    

### PATCH Asset File Information

`PATCH /connect/file-assets/{assetId}`

Operation ID: `patchFileAsset`. Tags: Files Resources.

Return details about the specified asset.

Change the visibility of an asset file for unauthenticated users.

_Available in: v43.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/file-assets/{assetId}`

_Available in: v43.0_

#### Parameters

*   `assetId` (path, string (Id), required) ID of the asset.  
    Pattern: ^(03S)\\w\*.

#### Request body

Media type: `application/json`. Schema: `FileAssetInput`.

_Example: example\_1_ Payload 1

```
{
  "isVisibleByExternalUsers": "true"
}
```

#### Responses

*   **200** _File Detail_ Success
    
    Media type: `application/json`. Schema: `FileDetail`.
    

### GET Asset File Content

`GET /connect/file-assets/{fullyQualifiedName}/content`

Operation ID: `getFileAssetContent`. Tags: Files Resources.

Return the content of the asset file. The content is streamed as the body of the response.

Get the streamed content of an asset file.

_Available in: v42.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/file-assets/{fullyQualifiedName}/content`

_Available in: v42.0_

#### Parameters

*   `fullyQualifiedName` (path, string, required) The `{fullyQualifiedName}` is the namespace prefix, if there is one, followed by the developer name of the ContentAsset.
*   `versionNumber` (query, integer)
    
    Specify an existing version number for the file. If not specified, the latest version is returned.
    
    _Available in: v42.0_
    

#### Responses

*   **200** Binary stream of the content
    
    Media type: `application/octet-stream`. Schema: `string (binary)`.
    
    Binary stream of the content
    
    Type: `string (binary)`.
    

### GET Asset File Rendition

`GET /connect/file-assets/{fullyQualifiedName}/rendition`

Operation ID: `getFileAssetRendition`. Tags: Files Resources.

Return the rendition of the asset file.

Get up to 25 streamed renditions of an asset file. A rendition is a binary preview of the file.

_Available in: v42.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/file-assets/{fullyQualifiedName}/rendition`

_Available in: v42.0_

#### Parameters

*   `fullyQualifiedName` (path, string, required) The `{fullyQualifiedName}` is the namespace prefix, if there is one, followed by the developer name of the ContentAsset.
*   `format` (query, string)
    
    Specify the format of the file, either `jpg` or `png`. If unspecified, BMP and JPG files default to JPG, and PNG files default to PNG.
    
    _Available in: v60.0_
    
*   `height` (query, integer)
    
    Specify the height of the image file in pixels.
    
    You must specify a dimension greater than 24 pixels and smaller than the original image dimension. You can specify up to 25 image dimension combinations. If only height or width is specified, the original image dimension is returned.
    
    _Available in: v42.0_
    
*   `versionNumber` (query, integer)
    
    Specify an existing version number for the file. If not specified, the latest version is returned.
    
    _Available in: v42.0_
    
*   `width` (query, integer)
    
    Specify the width of the image file in pixels.
    
    You must specify a dimension greater than 24 pixels and smaller than the original image dimension. You can specify up to 25 image dimension combinations. If only height or width is specified, the original image dimension is returned.
    
    _Available in: v42.0_
    

#### Responses

*   **200** Binary stream of the rendition
    
    Media type: `application/octet-stream`. Schema: `string (binary)`.
    
    Binary stream of the rendition
    
    Type: `string (binary)`.
    

### GET File Upload Config

`GET /connect/file/upload/config`

Operation ID: `getFileUploadConfig`. Tags: Files Resources.

This API allows to get the File Upload Config

Get the file upload config.

_Available in: v62.0_

#### Responses

*   **200** _File Upload Config_ File upload config.
    
    Media type: `application/json`. Schema: `FileUploadConfig`.
    

### GET File Information, Batch

`GET /connect/files/batch/{fileIds}`

Operation ID: `getFileBatch`. Tags: Files Resources.

A list of files, specified by file IDs.

Get information about a list of files.

_Available in: v36.0_

#### Parameters

*   `fileIds` (path, array of string (Id), required) The number of file IDs you can specify is limited by the length of the URL. In general, you can specify up to 100 file IDs in a comma-separated list.

#### Responses

*   **200** _Batch Result Item_ Batch result item.
    
    Media type: `application/json`. Schema: `Batch`.
    

### DELETE File Information, Batch

`DELETE /connect/files/batch/{fileIds}`

Operation ID: `deleteFileBatch`. Tags: Files Resources.

A list of files, specified by file IDs.

Delete a list of files.

_Available in: v36.0_

#### Parameters

*   `fileIds` (path, array of string (Id), required) The number of file IDs you can specify is limited by the length of the URL. In general, you can specify up to 100 file IDs in a comma-separated list.

#### Responses

*   **200** _Batch Result Item_ Batch result item.

### POST File Content Body

`POST /connect/files/content-body`

Operation ID: `postFileContentBody`. Tags: Files Resources.

Creates a ContentBody record for either a single-shot or chunked file upload.

Create a ContentBody. Provide binary data to create the ContentBody immediately. Provide `fullFileSize` without binary data to start a chunked upload session. Upload each binary chunk from the response to [File Content Body Chunk](/docs/platform/connect-rest-api/references/connect-rest-api-files#tag/Files-Resources/operation/postFileContentBodyChunked) to get the completed ContentBody. Create the ContentVersion by referencing the completed `contentBodyId` in the request schema for [File Information](/docs/platform/connect-rest-api/references/connect-rest-api-files#tag/Files-Resources/operation/postFileDetail).

_Available in: v68.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/files/content-body`

_Available in: v68.0_

#### Parameters

*   `fileName` (query, string, required)
    
    Name of the file.
    
    _Available in: v68.0_
    
*   `fullFileSize` (query, number (int64))
    
    Total file size in bytes. Provide without binary data to initiate a chunked upload session.
    
    _Available in: v68.0_
    

#### Request body

Media type: `multipart/form-data`. Schema: `object`.

*   `data` (_string (binary)_)
*   `file` (_FileBodyInput_) _Available in: v68.0_

#### Responses

*   **200** _File Body_ Representation of a blob in a content body.
    
    Media type: `application/json`. Schema: `FileBody`.
    

### POST File Content Body Chunk

`POST /connect/files/content-body/{contentBodyId}/chunked`

Operation ID: `postFileContentBodyChunked`. Tags: Files Resources.

Uploads one binary chunk to a partial ContentBody created by a chunked upload session.

Upload a chunk of binary data that was created with [File Content Body](/docs/platform/connect-rest-api/references/connect-rest-api-files#tag/Files-Resources/operation/postFileContentBody). Set `complete=true` on the last chunk to finalize the blob. Create the ContentVersion by referencing the completed `contentBodyId` in the request schema for [File Information](/docs/platform/connect-rest-api/references/connect-rest-api-files#tag/Files-Resources/operation/postFileDetail).

_Available in: v68.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/files/content-body/{contentBodyId}/chunked`

_Available in: v68.0_

#### Parameters

*   `contentBodyId` (path, string (Id), required) ID of the content body returned from the POST request to `/connect/files/content-body`.  
    Pattern: ^(05T)\\w\*.
*   `chunkNumber` (query, integer, required)
    
    Ordinal position of the chunk in the upload session, starting with 1.
    
    _Available in: v68.0_
    
*   `complete` (query, boolean)
    
    Set to `true` on the last chunk to finalize the blob.
    
    _Available in: v68.0_
    

#### Request body

Media type: `multipart/form-data`. Schema: `object`.

*   `chunkData` (_string (binary)_, required)
    
    Binary data for this chunk.
    
    _Available in: v68.0_
    

#### Responses

*   **200** _File Body_ Representation of a blob in a content body.
    
    Media type: `application/json`. Schema: `FileBody`.
    

### GET Users Files, General

`GET /connect/files/users/{userId}`

Operation ID: `getUserFilesCollection`. Tags: User Files Resources.

List, search, and create files in a user's file share.

Get information about files that a user owns. These files don’t include files shared with a user, files a user follows, or general organization files.

**Important**: This resource can return a large amount of data and, when it does, takes some time to process.

**Note**: In versions 24.0–35.0, use `/chatter/users/{userId}/files` and `/connect/communities/{communityId}/chatter/users/{userId}/files`, which require Chatter.

_Available in: v36.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/files/users/{userId}`

_Available in: v36.0_

#### Parameters

*   `userId` (path, string (IdOrMe), required) ID of the user.  
    Pattern: ^(005)\\w\*|me.
*   `page` (query, integer) An integer specifying a page of items. The default value is 0, which returns the first page.
*   `pageSize` (query, integer) Specifies the number of items per page. Valid values are from 1 through 100. If you don't specify a size, the default is 25.
*   `q` (query, string) A query string to filter the results. The string must contain at least two characters, not including wildcards. For information about wildcards, see [Wildcards](/docs/platform/connect-rest-api/guide/intro_wildcards).

#### Responses

*   **200** _File Summary Page_ Success
    
    Media type: `application/json`. Schema: `FileSummaryPage`.
    

### POST Users Files, General

`POST /connect/files/users/{userId}`

Operation ID: `postUserFilesCollection`. Tags: User Files Resources.

List, search, and create files in a user's file share.

Upload a file, including references to external files, to the Files home.

When you upload a file to the Files home, it is private and available only to the file owner.

To upload a file, send it in a multipart/form-data request. You can include the description and title of the file in the multipart/form-data request as a JSON or XML request body. You can also send the information as request parameters. For information about how to create the multipart/form-data message, see [Uploading Binary Files](/docs/platform/connect-rest-api/guide/intro_input#uploading-binary-files).

To upload multiple files in the same call, see [Batch Resource](/docs/platform/connect-rest-api/references/connect-rest-api-core#tag/Batch-Resources/operation/postGenericBatch).

**Important**: This resource can return a large amount of data and, when it does, takes some time to process.

**Note**: In versions 24.0–35.0, use `/chatter/users/{userId}/files` and `/connect/communities/{communityId}/chatter/users/{userId}/files`, which require Chatter.

**Note**: POST is available to guest users in version 62.0 and later.

_Available in: v36.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/files/users/{userId}`

_Available in: v36.0_

#### Parameters

*   `userId` (path, string (IdOrMe), required) ID of the user.  
    Pattern: ^(005)\\w\*|me.
*   `contentModifiedDate` (query, string)
    
    File-specific last modified date that can be used to set a client-side modified date. Specify the date in ISO 8601 format.
    
    _Available in: v32.0_
    
*   `desc` (query, string)
    
    Description of the file
    
    _Available in: v24.0_
    
*   `includeExternalFilePermissionsInfo` (query, boolean)
    
    Specifies whether to include permission information, such as whether the file is shared and what are the available permission types, for external files.
    
    _Available in: v35.0_
    
*   `isDataSync` (query, boolean)
    
    An automated client generates the request.
    
    _Available in: v31.0_
    
*   `isInMyFileSync` (query, boolean)
    
    `true` if the file is synced with Salesforce Files Sync; `false` otherwise.
    
    Salesforce Files Sync was retired on May 25, 2018.
    
    _Available in: v31.0_
    
*   `isMajorVersion` (query, boolean)
    
    `true` if the file is a major version; `false` if the file is a minor version. Major versions can’t be replaced. The default value is `false`.
    
    _Available in: v31.0_
    
*   `repositoryFileId` (query, string)
    
    ID of the external file.
    
    _Available in: v32.0_
    
*   `repositoryFileUri` (query, string)
    
    URI of the external file, such as `https://drive.google.com/file/d/0B7a_ei8brT1TMy1CQ0o5NmZQNEE/view`.
    
    _Available in: v39.0_
    
*   `repositoryId` (query, string)
    
    ID of the external data source.
    
    Required if `repositoryFileId` is specified. Otherwise, Optional.
    
    _Available in: v32.0_
    
*   `reuseReference` (query, boolean)
    
    Specifies whether to reuse the latest version of a reference you own to an external file rather than creating a duplicate reference.
    
    _Available in: v36.0_
    
*   `sharingOption` (query, string)
    
    Sharing option of the file. Values are:
    
    *   `Allowed` — Resharing of the file is allowed.
    *   `Restricted` — Resharing of the file is restricted.
    
    _Available in: v35.0_
    
*   `sharingPrivacy` (query, string)
    
    Sharing privacy of a file. Values are:
    
    *   `None` — File is visible to anyone with record access.
    *   `PrivateOnRecords` — File is private on records.
    
    _Available in: v41.0_
    
*   `title` (query, string)
    
    Title of the file
    
    _Available in: v24.0_
    

#### Request body

_Available in: v32.0_

Media type: `multipart/form-data`. Schema: `object`.

*   `fileData` (_string (binary)_)
*   `contentBodyId` (_string_)
    
    ID of the content body.
    
    _Available in: v62.0_
    
*   `contentModifiedDate` (_string_)
    
    File-specific last modified date that can be used to set a client-side modified date. Specify the date in ISO 8601 format.
    
    _Available in: v32.0_
    
*   `desc` (_string_)
    
    Description of the file to be uploaded.
    
    _Available in: v24.0_
    
*   `fieldName` (_string_)
    
    Name of a custom field on the ContentVersion object. The API name of the customer field must end with `fileupload__c`.
    
    _Available in: v62.0_
    
*   `fieldValue` (_string_)
    
    Value to store for the custom field specified in `fieldName` for the uploaded file.
    
    _Available in: v62.0_
    
*   `firstPublishLocationId` (_string_)
    
    ID of the location where the version was first published.
    
    _Available in: v62.0_
    
*   `includeExternalFilePermissionsInfo` (_boolean_)
    
    Specifies whether to include permission information, such as whether the file is shared and what are the available permission types, for external files.
    
    This property can be used with POST requests to `/connect/files/users/{userId}`, but not with POST requests to `/connect/files/{fileId}.`
    
    _Available in: v35.0_
    
*   `isInMyFileSync` (_boolean_)
    
    `true` if the file is synced with Salesforce Files Sync; `false` otherwise.
    
    Salesforce Files Sync was retired on May 25, 2018.
    
    _Available in: v31.0_
    
*   `isMajorVersion` (_boolean_)
    
    `true` if the file is a major version; `false` if the file is a minor version. Major versions can’t be replaced.
    
    _Available in: v31.0_
    
*   `networkId` (_string_)
    
    ID of the Experience Cloud site where this file originated.
    
    _Available in: v62.0_
    
*   `parentFolderId` (_string_)
    
    ID of the containing folder.
    
    _Available in: v31.0_
    
*   `pathOnClient` (_string_)
    
    Complete path of the file.
    
    _Available in: v62.0_
    
*   `repositoryFileId` (_string_)
    
    ID of the external file.
    
    This property can be used with POST requests to `/connect/files/users/{userId}`, but not with POST requests to `/connect/files/{fileId}.`
    
    If you specify `repositoryFileId`, don’t specify `repositoryFileUri`.
    
    _Available in: v32.0_
    
*   `repositoryFileUri` (_string_)
    
    URI of the external file, such as `https://drive.google.com/file/d/0B7a_ei8brT1TMy1CQ0o5NmZQNEE/view`.
    
    This property can be used with POST requests to `/connect/files/users/{userId}`, but not with POST requests to `/connect/files/{fileId}.`
    
    If you specify `repositoryFileUri`, don’t specify `repositoryFileId`.
    
    _Available in: v39.0_
    
*   `repositoryId` (_string_)
    
    ID of the external data source.
    
    This property can be used with POST requests to `/connect/files/users/{userId}`, but not with POST requests to `/connect/files/{fileId}.`
    
    Required if `repositoryFileId` is specified. Otherwise, Optional.
    
    _Available in: v32.0_
    
*   `reuseReference` (_boolean_)
    
    Specifies whether to reuse the latest version of a reference you own to an external file rather than creating a duplicate reference.
    
    This property can be used with POST requests to `/connect/files/users/{userId}`, but not with POST requests to `/connect/files/{fileId}.`
    
    _Available in: v36.0_
    
*   `sharingOption` (_string_)
    
    Sharing option of the file. Values are:
    
    *   `Allowed` — Resharing of the file is allowed.
    *   `Restricted` — Resharing of the file is restricted.
    
    _Available in: v35.0_
    
*   `sharingPrivacy` (_string_)
    
    Sharing privacy of a file. Values are:
    
    *   `None` — File is visible to anyone with record access.
    *   `PrivateOnRecords` — File is private on records.
    
    _Available in: v41.0_
    
*   `title` (_string_)
    
    Title of the file.
    
    _Available in: v24.0_
    

_Example: example\_1_ Payload 1

Creating a file

```
{
  "desc": "Employee Survey Results",
  "title": "emp_surv_results"
}
```

_Example: example\_2_ Payload 2

Creating a reference to an external file

```
{
  "repositoryId": "0XCB00000004CHJ",
  "repositoryFileId": "document:1AnPHWYq_j56yryuRbxiVp93rD2qGqNWx7yZHvidxDpQ"
}
```

#### Responses

*   **200** _File Summary_
    
    Description of a file.
    
    For all rendition properties, note the following: For shared files, renditions process asynchronously after upload. For private files, renditions process when the first file preview is requested, and aren’t available immediately after the file is uploaded.
    
    Media type: `application/json`. Schema: `FileDetail`.
    

#### Code samples

_Example: Example 1 · HTTP_

```
{
   "contentBodyId": "05Txx0000004CH6EAM",
   "title": "Screenshot 2024-06-17 at 6.24.49 PM",
   "networkId": "0DBxx0000004CH6GAM",
   “pathOnClient”: ”Screenshot 2024-06-17 at 6.24.49 PM.png”,
   "firstPublishLocationId": null,
   "fieldName": "Guest_Record_Main_fileupload__c",
   "fieldValue": "Version1"
}
Content-Type: application/json

{
  "desc": "Employee Survey Results",
  "title": "emp_surv_results"
}
```

_Example: Example 2 · HTTP_

```
{
   "contentBodyId": "05Txx0000004CH6EAM",
   "title": "Screenshot 2024-06-17 at 6.24.49 PM",
   "networkId": "0DBxx0000004CH6GAM",
   “pathOnClient”: ”Screenshot 2024-06-17 at 6.24.49 PM.png”,
   "firstPublishLocationId": null,
   "fieldName": "Guest_Record_Main_fileupload__c",
   "fieldValue": "Version1"
}
Content-Type: application/json

{
  "repositoryId": "0XCB00000004CHJ",
  "repositoryFileId": "document:1AnPHWYq_j56yryuRbxiVp93rD2qGqNWx7yZHvidxDpQ"
}
```

_Example: Example 3 · HTTP_

```
# This example creates a file and uploads it to Salesforce. The example shows
# the body parts in a multipart/form-data request. The first body part is a File
# Input request body. The second is the content of the file. For more
# information, see [Uploading Binary Files](/docs/platform/connect-rest-api/guide/intro_input#uploading-binary-files).

POST /services/data/v67.0/connect/files/users/me

Authorization: OAuth 00DD0000000Jhd2!AQIAQC.lh4qTQcBhOPm4TZom5IaOOZLVPVK4wI_rPYJvmE8r2VW8XA.
OZ7S29JEM_7Ctq1lst2dzoV.owisJc0KacUbDxyae
User-Agent: Jakarta Commons-HttpClient/3.0.1
Host: instance_name
Content-Length: 489
Content-Type: multipart/form-data; boundary=a7V4kRcFA8E79pivMuV2tukQ85cmNKeoEgJgq
Accept: application/json

--a7V4kRcFA8E79pivMuV2tukQ85cmNKeoEgJgq
Content-Type: application/json; charset=UTF-8
Content-Disposition: form-data; name="json"

{
   "title":"BoatPrices"
}

--a7V4kRcFA8E79pivMuV2tukQ85cmNKeoEgJgq
Content-Disposition: form-data; name="fileData"; filename="BoatPrices.txt"
Content-Type: application/octet-stream; charset=ISO-8859-1

...contents of BoatPrices.txt...

--a7V4kRcFA8E79pivMuV2tukQ85cmNKeoEgJgq--
Content-Type: application/json

{
  "desc": "Employee Survey Results",
  "title": "emp_surv_results"
}
```

_Example: Example 4 · HTTP_

```
# This example creates a file and uploads it to Salesforce. The example shows
# the body parts in a multipart/form-data request. The first body part is a File
# Input request body. The second is the content of the file. For more
# information, see [Uploading Binary Files](/docs/platform/connect-rest-api/guide/intro_input#uploading-binary-files).

POST /services/data/v67.0/connect/files/users/me

Authorization: OAuth 00DD0000000Jhd2!AQIAQC.lh4qTQcBhOPm4TZom5IaOOZLVPVK4wI_rPYJvmE8r2VW8XA.
OZ7S29JEM_7Ctq1lst2dzoV.owisJc0KacUbDxyae
User-Agent: Jakarta Commons-HttpClient/3.0.1
Host: instance_name
Content-Length: 489
Content-Type: multipart/form-data; boundary=a7V4kRcFA8E79pivMuV2tukQ85cmNKeoEgJgq
Accept: application/json

--a7V4kRcFA8E79pivMuV2tukQ85cmNKeoEgJgq
Content-Type: application/json; charset=UTF-8
Content-Disposition: form-data; name="json"

{
   "title":"BoatPrices"
}

--a7V4kRcFA8E79pivMuV2tukQ85cmNKeoEgJgq
Content-Disposition: form-data; name="fileData"; filename="BoatPrices.txt"
Content-Type: application/octet-stream; charset=ISO-8859-1

...contents of BoatPrices.txt...

--a7V4kRcFA8E79pivMuV2tukQ85cmNKeoEgJgq--
Content-Type: application/json

{
  "repositoryId": "0XCB00000004CHJ",
  "repositoryFileId": "document:1AnPHWYq_j56yryuRbxiVp93rD2qGqNWx7yZHvidxDpQ"
}
```

### GET User Files, Filtered by Sharing or Groups

`GET /connect/files/users/{userId}/filter/{filterType}`

Operation ID: `getUserFilesCollection_-1390363905`. Tags: User Files Resources.

List, search, and create files in a user's file share.

Get information about files that are shared with the context user. Get information about files that are posted to groups that the context user is a member of.

_Available in: v36.0_

**Note**: In versions 24.0–36.0, use `/chatter/users/{userId}/files/filter/{filterType}` and `/connect/communities/{communityId}/chatter/users/{userId}/files/filter/{filterType}`, which require Chatter.

#### Experience Cloud site path

`/connect/communities/{communityId}/files/users/{userId}/filter/{filterType}`

#### Parameters

*   `filterType` (path, ConnectUserFilesFilterType, required) The filter type. Use `groups` to filter the files to those that are posted to groups that the context user is a member of. Use `shared-with-me` or `sharedwithme` to filter the files to those that are shared with the context user.
*   `userId` (path, string (IdOrMe), required) ID of the user.  
    Pattern: ^(005)\\w\*|me.
*   `page` (query, integer)
    
    An integer specifying a page of items. The default value is 0, which returns the first page.
    
    _Available in: v24.0_
    
*   `pageSize` (query, integer)
    
    Specifies the number of items per page. Valid values are from 1 through 100. If you don't specify a size, the default is 25.
    
    _Available in: v24.0_
    
*   `q` (query, string)
    
    A query string to filter the results. The string must contain at least two characters, not including wildcards. For information about wildcards, see [Wildcards](/docs/platform/connect-rest-api/guide/intro_wildcards).
    
    _Available in: v27.0_
    

#### Responses

*   **200** _File Summary Page_ File summary page.
    
    Media type: `application/json`. Schema: `FileSummaryPage`.
    

### GET File Information

`GET /connect/files/{fileId}`

Operation ID: `getFileDetail`. Tags: Files Resources.

Return details about the specified file. Can also be used to rename an existing file.

Get information about a specified file, including references to external files.

**Note**: In versions 24.0–35.0, use `/chatter/files/{fileId}` and `/connect/communities/{communityId}/chatter/files/{fileId}`, which require Chatter.

_Available in: v36.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/files/{fileId}`

_Available in: v36.0_

#### Parameters

*   `fileId` (path, string (Id), required) ID of a file.  
    Pattern: ^(069)\\w\*.
*   `versionNumber` (query, integer)
    
    Specify an existing version number for the file. If not specified, the latest version is returned.
    
    _Available in: v23.0_
    

#### Responses

*   **200** _File Detail_ Includes all the File Summary response body with these additional items.
    
    Media type: `application/json`. Schema: `FileDetail`.
    

### POST File Information

`POST /connect/files/{fileId}`

Operation ID: `postFileDetail`. Tags: Files Resources.

Return details about the specified file. Can also be used to rename an existing file.

Upload a new version of an existing file, including references to external files.

To upload a new version of an existing file, make a POST request. Upload the new version as a binary part in a multipart/form-data request. See [Inputs and Binary File Upload Examples](/docs/platform/connect-rest-api/guide/intro_input#uploading-binary-files). To upload a new file to the Files home, use [`/connect/files/users/me`](/docs/platform/connect-rest-api/references/connect-rest-api-files#tag/User-Files-Resources/operation/getUserFilesCollection).

**Note**: In versions 24.0–35.0, use `/chatter/files/{fileId}` and `/connect/communities/{communityId}/chatter/files/{fileId}`, which require Chatter.

_Available in: v36.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/files/{fileId}`

_Available in: v36.0_

#### Parameters

*   `fileId` (path, string (Id), required) ID of a file.  
    Pattern: ^(069)\\w\*.
*   `desc` (query, string)
    
    Description of the file to be uploaded.
    
    _Available in: v26.0_
    
*   `isDataSync` (query, boolean)
    
    Indicates whether an automated client generates the request.
    
    _Available in: v31.0_
    
*   `isInMyFileSync` (query, boolean)
    
    `true` if the file is synced with Salesforce Files Sync; `false` otherwise.
    
    Salesforce Files Sync was retired on May 25, 2018.
    
    _Available in: v31.0_
    
*   `isMajorVersion` (query, boolean)
    
    `true` if the file is a major version; `false` if the file is a minor version. Major versions can’t be replaced.
    
    _Available in: v31.0_
    
*   `sharingOption` (query, string)
    
    Sharing option of the file. Values are:
    
    *   `Allowed` — Resharing of the file is allowed.
    *   `Restricted` — Resharing of the file is restricted.
    
    _Available in: v35.0_
    
*   `sharingPrivacy` (query, string)
    
    Sharing privacy of a file. Values are:
    
    *   `None` — File is visible to anyone with record access.
    *   `PrivateOnRecords` — File is private on records.
    
    _Available in: v41.0_
    
*   `title` (query, string)
    
    Title of the file.
    
    _Available in: v26.0_
    

#### Request body

_Available in: v26.0_

Media type: `multipart/form-data`. Schema: `object`.

*   `fileData` (_string (binary)_)
*   `contentBodyId` (_string_)
    
    ID of the content body.
    
    _Available in: v62.0_
    
*   `contentModifiedDate` (_string_)
    
    File-specific last modified date that can be used to set a client-side modified date. Specify the date in ISO 8601 format.
    
    _Available in: v32.0_
    
*   `desc` (_string_)
    
    Description of the file to be uploaded.
    
    _Available in: v24.0_
    
*   `fieldName` (_string_)
    
    Name of a custom field on the ContentVersion object. The API name of the customer field must end with `fileupload__c`.
    
    _Available in: v62.0_
    
*   `fieldValue` (_string_)
    
    Value to store for the custom field specified in `fieldName` for the uploaded file.
    
    _Available in: v62.0_
    
*   `firstPublishLocationId` (_string_)
    
    ID of the location where the version was first published.
    
    _Available in: v62.0_
    
*   `includeExternalFilePermissionsInfo` (_boolean_)
    
    This property can be used with POST requests to `/connect/files/users/{userId}`, but not with POST requests to `/connect/files/{fileId}.`
    
    _Available in: v35.0_
    
*   `isInMyFileSync` (_boolean_) _Available in: v31.0_
*   `isMajorVersion` (_boolean_) _Available in: v31.0_
*   `networkId` (_string_)
    
    ID of the Experience Cloud site where this file originated.
    
    _Available in: v62.0_
    
*   `parentFolderId` (_string_)
    
    ID of the containing folder.
    
    _Available in: v31.0_
    
*   `pathOnClient` (_string_)
    
    Complete path of the file.
    
    _Available in: v62.0_
    
*   `repositoryFileId` (_string_)
    
    ID of the external file.
    
    This property can be used with POST requests to `/connect/files/users/{userId}`, but not with POST requests to `/connect/files/{fileId}.`
    
    If you specify `repositoryFileId`, don’t specify `repositoryFileUri`.
    
    _Available in: v32.0_
    
*   `repositoryFileUri` (_string_)
    
    URI of the external file, such as `https://drive.google.com/file/d/0B7a_ei8brT1TMy1CQ0o5NmZQNEE/view`.
    
    This property can be used with POST requests to `/connect/files/users/{userId}`, but not with POST requests to `/connect/files/{fileId}.`
    
    If you specify `repositoryFileUri`, don’t specify `repositoryFileId`.
    
    _Available in: v39.0_
    
*   `repositoryId` (_string_)
    
    ID of the external data source.
    
    This property can be used with POST requests to `/connect/files/users/{userId}`, but not with POST requests to `/connect/files/{fileId}.`
    
    Required if `repositoryFileId` is specified. Otherwise, Optional.
    
    _Available in: v32.0_
    
*   `reuseReference` (_boolean_)
    
    Specifies whether to reuse the latest version of a reference you own to an external file rather than creating a duplicate reference.
    
    This property can be used with POST requests to `/connect/files/users/{userId}`, but not with POST requests to `/connect/files/{fileId}.`
    
    _Available in: v36.0_
    
*   `sharingOption` (_string_)
    
    Sharing option of the file. Values are:
    
    *   `Allowed` — Resharing of the file is allowed.
    *   `Restricted` — Resharing of the file is restricted.
    
    _Available in: v35.0_
    
*   `sharingPrivacy` (_string_)
    
    Sharing privacy of a file. Values are:
    
    *   `None` — File is visible to anyone with record access.
    *   `PrivateOnRecords` — File is private on records.
    
    _Available in: v41.0_
    
*   `title` (_string_)
    
    Title of the file.
    
    _Available in: v24.0_
    

#### Responses

*   **200** _File Detail_ Includes all the File Summary response body with these additional items.
    
    Media type: `application/json`. Schema: `FileDetail`.
    

#### Code samples

_Example: Example 1 · HTTP_

```
{
     "desc" : "Employee Survey Results",
     "title" : "emp_surv_results"
}
```

### DELETE File Information

`DELETE /connect/files/{fileId}`

Operation ID: `deleteFileDetail`. Tags: Files Resources.

Return details about the specified file. Can also be used to rename an existing file.

Delete a file.

**Note**: In versions 24.0–35.0, use `/chatter/files/{fileId}` and `/connect/communities/{communityId}/chatter/files/{fileId}`, which require Chatter.

_Available in: v36.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/files/{fileId}`

_Available in: v36.0_

#### Parameters

*   `fileId` (path, string (Id), required) ID of a file.  
    Pattern: ^(069)\\w\*.

#### Responses

*   **204** _Successful Delete_ Success

### PATCH File Information

`PATCH /connect/files/{fileId}`

Operation ID: `patchFileDetail`. Tags: Files Resources.

Return details about the specified file. Can also be used to rename an existing file.

Rename a file and move a file to a different folder.

**Note**: In versions 24.0–35.0, use `/chatter/files/{fileId}` and `/connect/communities/{communityId}/chatter/files/{fileId}`, which require Chatter.

_Available in: v36.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/files/{fileId}`

_Available in: v36.0_

#### Parameters

*   `fileId` (path, string (Id), required) ID of a file.  
    Pattern: ^(069)\\w\*.
*   `desc` (query, string)
    
    A new description for the file
    
    _Available in: v32.0_
    
*   `isArchived` (query, boolean)
    
    Specifies if the file is archived (`true`) or not (`false`).
    
    _Available in: v68.0_
    
*   `isInMyFileSync` (query, boolean)
    
    `true` if the file is synced with Salesforce Files Sync; `false` otherwise.
    
    Salesforce Files Sync was retired on May 25, 2018.
    
    _Available in: v31.0_
    
*   `parentFolderId` (query, string)
    
    ID of the containing folder
    
    _Available in: v31.0_
    
*   `sharingOption` (query, string)
    
    Sharing option of the file. Values are:
    
    *   `Allowed` — Resharing of the file is allowed.
    *   `Restricted` — Resharing of the file is restricted.
    
    _Available in: v35.0_
    
*   `sharingPrivacy` (query, string)
    
    Sharing privacy of a file. Values are:
    
    *   `None` — File is visible to anyone with record access.
    *   `PrivateOnRecords` — File is private on records.
    
    _Available in: v41.0_
    
*   `title` (query, string)
    
    A new title for the file
    
    _Available in: v26.0_
    

#### Request body

_Available in: v32.0_

Media type: `application/json`. Schema: `FileInput`.

#### Responses

*   **200** _File Detail_ Includes all the File Summary response body with these additional items.
    
    Media type: `application/json`. Schema: `FileDetail`.
    

#### Code samples

_Example: Example 1 · HTTP_

```
# This PATCH request updates the title of a file:

PATCH /connect/files/069D00000001FHF?title=A+New+Title
```

### POST Asset File

`POST /connect/files/{fileId}/asset`

Operation ID: `makeFileAsset`. Tags: Files Resources.

Create new file assets.

Create an asset file.

_Available in: v38.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/files/{fileId}/asset`

_Available in: v38.0_

#### Parameters

*   `fileId` (path, string (Id), required) ID of a file.  
    Pattern: ^(069)\\w\*.
*   `assetLabel` (query, string)
    
    Master label for the asset file. This internal label doesn’t get translated.
    
    _Available in: v46.0_
    
*   `developerName` (query, string)
    
    Developer name for the asset file. In managed packages, this field prevents naming conflicts on package installations. With this field, a developer can change the object’s name in a managed package and the changes are reflected in a subscriber’s org.
    
    _Available in: v46.0_
    
*   `isVisibleByExternalUsers` (query, boolean)
    
    Indicates whether unauthenticated users can see the asset file (`true`) or not (`false`). If not specified, the default value is `false`.
    
    _Available in: v43.0_
    
*   `shareWithIds` (query, array of string)
    
    A list of org IDs, Experience Cloud site IDs, or content workspace IDs with which to share the file.
    
    _Available in: v39.0_
    

#### Responses

*   **200** _File Detail_ Includes all the File Summary response body with these additional items.
    
    Media type: `application/json`. Schema: `FileDetail`.
    

### GET File Content

`GET /connect/files/{fileId}/content`

Operation ID: `getFileContent`. Tags: Files Resources.

Return the content of the file. The content is streamed as the body of the response.

Returns the content of the file, including references to external files. The content is streamed as the body of the response.

**Note**: In versions 24.0–35.0, use `/chatter/files/{fileId}/content` and `/connect/communities/{communityId}/chatter/files/{fileId}/content`, which require Chatter.

_Available in: v36.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/files/{fileId}/content`

_Available in: v36.0_

#### Parameters

*   `fileId` (path, string (Id), required) ID of a file.  
    Pattern: ^(069)\\w\*.
*   `isDataSync` (query, boolean)
    
    Indicates whether an automated client generates the request.
    
    _Available in: v31.0_
    
*   `versionNumber` (query, integer)
    
    Specify an existing version number for the file. If not specified, the latest version is returned.
    
    _Available in: v24.0_
    

#### Responses

*   **200** Binary stream of the file content.
    
    Media type: `application/octet-stream`. Schema: `string (binary)`.
    
    Binary stream of the file content.
    
    Type: `string (binary)`.
    

### GET File Shares

`GET /connect/files/{fileId}/file-shares`

Operation ID: `getFileShareCollection`. Tags: Files Resources.

Returns information about the entities with which the specified file has been shared. Entities can be users, groups, or records.

Get the users, groups, or records with which a file has been shared.

**Note**: In versions 24.0–35.0, use `/chatter/files/{fileId}/file-shares` and `/connect/communities/{communityId}/chatter/files/{fileId}/file-shares`, which require Chatter.

**Note**: In versions 30.0 and later, the first share returned in a GET request is the organization record share. In communities, the first share returned is the network record share.

_Available in: v36.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/files/{fileId}/file-shares`

_Available in: v36.0_

#### Parameters

*   `fileId` (path, string (Id), required) ID of a file.  
    Pattern: ^(069)\\w\*.
*   `page` (query, integer) An integer greater than 0 specifying a page of topics. The default value is zero.
*   `pageSize` (query, integer) Specifies the number of items per page. Valid values are from 1 to 100. The default value is 25.

#### Responses

*   **200** _File Shares Page_ Success
    
    Media type: `application/json`. Schema: `FileSharesPage`.
    

### POST File Shares

`POST /connect/files/{fileId}/file-shares`

Operation ID: `postFileShareCollection`. Tags: Files Resources.

Returns information about the entities with which the specified file has been shared. Entities can be users, groups, or records.

Share a file with users.

**Note**: In versions 24.0–35.0, use `/chatter/files/{fileId}/file-shares` and `/connect/communities/{communityId}/chatter/files/{fileId}/file-shares`, which require Chatter.

_Available in: v36.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/files/{fileId}/file-shares`

_Available in: v36.0_

#### Parameters

*   `fileId` (path, string (Id), required) ID of a file.  
    Pattern: ^(069)\\w\*.
*   `id1` (query, string, required) List of up to 9 user IDs to share this file with. This list must match the list of sharing types.
*   `id2` (query, string) List of up to 9 user IDs to share this file with. This list must match the list of sharing types.
*   `id3` (query, string) List of up to 9 user IDs to share this file with. This list must match the list of sharing types.
*   `id4` (query, string) List of up to 9 user IDs to share this file with. This list must match the list of sharing types.
*   `id5` (query, string) List of up to 9 user IDs to share this file with. This list must match the list of sharing types.
*   `id6` (query, string) List of up to 9 user IDs to share this file with. This list must match the list of sharing types.
*   `id7` (query, string) List of up to 9 user IDs to share this file with. This list must match the list of sharing types.
*   `id8` (query, string) List of up to 9 user IDs to share this file with. This list must match the list of sharing types.
*   `id9` (query, string) List of up to 9 user IDs to share this file with. This list must match the list of sharing types.
*   `message` (query, string) Private message body that’s sent to the recipients. If Salesforce Communities is enabled, an email is sent instead of a private message.
*   `sharingType1` (query, string, required) List of sharing types, either `C` for collaborator or `V` for viewer. This list must match the list of user IDs.
*   `sharingType2` (query, string) List of sharing types, either `C` for collaborator or `V` for viewer. This list must match the list of user IDs.
*   `sharingType3` (query, string) List of sharing types, either `C` for collaborator or `V` for viewer. This list must match the list of user IDs.
*   `sharingType4` (query, string) List of sharing types, either `C` for collaborator or `V` for viewer. This list must match the list of user IDs.
*   `sharingType5` (query, string) List of sharing types, either `C` for collaborator or `V` for viewer. This list must match the list of user IDs.
*   `sharingType6` (query, string) List of sharing types, either `C` for collaborator or `V` for viewer. This list must match the list of user IDs.
*   `sharingType7` (query, string) List of sharing types, either `C` for collaborator or `V` for viewer. This list must match the list of user IDs.
*   `sharingType8` (query, string) List of sharing types, either `C` for collaborator or `V` for viewer. This list must match the list of user IDs.
*   `sharingType9` (query, string) List of sharing types, either `C` for collaborator or `V` for viewer. This list must match the list of user IDs.

#### Request body

Media type: `application/json`. Schema: `FileShareCollectionInput`.

_Example: example\_1_ Payload 1

```
{
  "message": "I shared a document with you.",
  "shares": [
    {
      "id": "005D0000001Az4l",
      "sharingType": "V"
    },
    {
      "id": "005D0000001B2ny",
      "sharingType": "C"
    }
  ]
}
```

#### Responses

*   **200** _File Shares Page_ Success
    
    Media type: `application/json`. Schema: `FileSharesPage`.
    

#### Code samples

_Example: Example 1 · HTTP_

```
# This example uses request parameters to share a file with two users.

POST /connect/files/069D00000001JDU/file-shares?id1=005D0000001LL8O&id2=005D0000001QdEL&sharingType1=C&sharingType2=V
Content-Type: application/json

{
  "message": "I shared a document with you.",
  "shares": [
    {
      "id": "005D0000001Az4l",
      "sharingType": "V"
    },
    {
      "id": "005D0000001B2ny",
      "sharingType": "C"
    }
  ]
}
```

_Example: Example 2 · HTTP_

```
# Here is the same example using a request body.

POST /connect/files/069D00000001JDU/file-shares

{
  "shares": [
     { "id": "005D0000001LL8O", "sharingType": "C" },
     { "id": "005D0000001QdEL", "sharingType": "V" }
   ]
}
Content-Type: application/json

{
  "message": "I shared a document with you.",
  "shares": [
    {
      "id": "005D0000001Az4l",
      "sharingType": "V"
    },
    {
      "id": "005D0000001B2ny",
      "sharingType": "C"
    }
  ]
}
```

### GET Files Shares Link

`GET /connect/files/{fileId}/file-shares/link`

Operation ID: `getFileShareLink`. Tags: Files Resources.

Manages creation, access, and deletion of a file's link share.

Get a file’s share link.

**Note**: In versions 30.0–35.0, use `/chatter/files/{fileId}/file-shares/link` and `/connect/communities/{communityId}/chatter/files/{fileId}/file-shares/link`, which require Chatter.

_Available in: v36.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/files/{fileId}/file-shares/link`

_Available in: v36.0_

#### Parameters

*   `fileId` (path, string (Id), required) ID of a file.  
    Pattern: ^(069)\\w\*.

#### Responses

*   **200** _File Share Link_ Success
    
    Media type: `application/json`. Schema: `FileShareLink`.
    

### PUT Files Shares Link

`PUT /connect/files/{fileId}/file-shares/link`

Operation ID: `putFileShareLink`. Tags: Files Resources.

Manages creation, access, and deletion of a file's link share.

Create a file’s share link. In v36.0–57.0, PUT requests don’t require a request body and they ignore any request body provided. In v58.0 and later, the File Share Link Input request body is available for PUT requests but isn’t required.

**Note**: In versions 30.0–35.0, use `/chatter/files/{fileId}/file-shares/link` and `/connect/communities/{communityId}/chatter/files/{fileId}/file-shares/link`, which require Chatter.

_Available in: v36.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/files/{fileId}/file-shares/link`

_Available in: v36.0_

#### Parameters

*   `fileId` (path, string (Id), required) ID of a file.  
    Pattern: ^(069)\\w\*.

#### Request body

File share link input.

Media type: `application/json`. Schema: `FileShareLinkInput`.

_Example: example\_1_ Payload 1

```
{
  "expirationDate": "2024-07-07T23:59:11.168Z",
  "isPasswordRequired": "true"
}
```

#### Responses

*   **200** _File Share Link_ Success
    
    Media type: `application/json`. Schema: `FileShareLink`.
    

### DELETE Files Shares Link

`DELETE /connect/files/{fileId}/file-shares/link`

Operation ID: `deleteFileShareLink`. Tags: Files Resources.

Manages creation, access, and deletion of a file's link share.

Delete a file’s share link.

**Note**: In versions 30.0–35.0, use `/chatter/files/{fileId}/file-shares/link` and `/connect/communities/{communityId}/chatter/files/{fileId}/file-shares/link`, which require Chatter.

_Available in: v36.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/files/{fileId}/file-shares/link`

_Available in: v36.0_

#### Parameters

*   `fileId` (path, string (Id), required) ID of a file.  
    Pattern: ^(069)\\w\*.

#### Responses

*   **204** _Successful Delete_ Success

### GET File Image

`GET /connect/files/{fileId}/image`

Operation ID: `getImageFile`. Tags: Files Resources.

Details for a given Content File Image.

Get information about a file image.

_Available in: v39.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/files/{fileId}/image`

_Available in: v39.0_

#### Parameters

*   `fileId` (path, string (Id), required) ID of a file.  
    Pattern: ^(069)\\w\*.

#### Responses

*   **200** _Image File_ An image file.
    
    Media type: `application/json`. Schema: `ImageFile`.
    

### GET File Previews

`GET /connect/files/{fileId}/previews`

Operation ID: `getFilePreviewCollection`. Tags: Files Resources.

Return detailed information about a file's supported previews.

Get information about a file's supported previews.

**Note**: In version 35.0, use `/chatter/files/{fileId}/previews` and `/connect/communities/{communityId}/chatter/files/{fileId}/previews`, which require Chatter.

_Available in: v36.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/files/{fileId}/previews`

_Available in: v36.0_

#### Parameters

*   `fileId` (path, string (Id), required) ID of a file.  
    Pattern: ^(069)\\w\*.
*   `versionNumber` (query, integer)
    
    Version number of the file. Default value is latest version.
    
    _Available in: v40.0_
    

#### Responses

*   **200** _File Preview Collection_ A collection of file previews.
    
    Media type: `application/json`. Schema: `FilePreviewCollection`.
    

### PATCH File Previews

`PATCH /connect/files/{fileId}/previews`

Operation ID: `patchFilePreviewCollection`. Tags: Files Resources.

Return detailed information about a file's supported previews.

Get information about a file's supported previews and generate up to 500 pages in a file preview.

**Note**: In version 35.0, use `/chatter/files/{fileId}/previews` and `/connect/communities/{communityId}/chatter/files/{fileId}/previews`, which require Chatter.

_Available in: v36.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/files/{fileId}/previews`

_Available in: v36.0_

#### Parameters

*   `fileId` (path, string (Id), required) ID of a file.  
    Pattern: ^(069)\\w\*.
*   `versionNumber` (query, integer)
    
    Version number of the file. Default value is latest version.
    
    _Available in: v40.0_
    

#### Responses

*   **200** _File Preview Collection_ A collection of file previews.
    
    Media type: `application/json`. Schema: `FilePreviewCollection`.
    

### GET File Preview

`GET /connect/files/{fileId}/previews/{previewFormat}`

Operation ID: `getFilePreview`. Tags: Files Resources.

Return detailed information about a specific preview type of a file.

Get up to 500 pages in a file preview or get a specific page in a preview.

**Note**: Hyperforce doesn’t support the SVG file preview format. Any org hosted on Hyperforce defaults to JPG file preview format regardless of the org preference in Setup.

SVG files are generated on demand. Alternatively, you can generate an SVG preview by making a PATCH request to `/connect/files/{fileId}/previews`.

**Note**: In version 35.0, use `/chatter/files/{fileId}/previews/{previewFormat}` and `/connect/communities/{communityId}/chatter/files/{fileId}/previews/{previewFormat}`, which require Chatter.

_Available in: v36.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/files/{fileId}/previews/{previewFormat}`

_Available in: v36.0_

#### Parameters

*   `fileId` (path, string (Id), required) ID of a file.  
    Pattern: ^(069)\\w\*.
*   `previewFormat` (path, string, required)
    
    Supported values for `previewFormat`:
    
    *   `jpg` — Preview format is JPG. If you’re concerned that feature-rich SVG previews don’t work in your org, choose alternative file previews. To use JPG file previews, enter `general` in the Quick Find box in Setup. Select General Settings, and then select Display alternative file previews.
    *   `pdf` — Preview format is PDF. PDF previews are available for files of type DOC, DOCX, PPT, PPTX, TEXT, XLS, and XLSX. If you need a PDF preview for files of type PDF, call the download version using the File Content resource.
    *   `svg` — Preview format is SVG. SVG files are generated on demand. Alternatively, you can generate an SVG preview by making a PATCH request to `/connect/files/{fileId}/previews`. Hyperforce doesn’t support the SVG file preview format. Any org hosted on Hyperforce defaults to JPG file preview format regardless of the org preference in Setup.
    *   `thumbnail` — Preview format is 240 x 180 PNG.
    *   `big-thumbnail` — Preview format is 720 x 480 PNG.
    *   `tiny-thumbnail` — Preview format is 120 x 90 PNG.
    
      
    Allowed values: `jpg`, `pdf`, `svg`, `thumbnail`, `big-thumbnail`, `tiny-thumbnail`.
*   `endPageNumber` (query, integer)
    
    The ending page number in the range of file preview URLs. Up to 500 pages are available in preview.
    
    _Available in: v35.0_
    
*   `startPageNumber` (query, integer)
    
    The starting page number in the range of file preview URLs. Up to 500 pages are available in preview.
    
    _Available in: v35.0_
    
*   `versionNumber` (query, integer)
    
    Version number of the file. Default value is latest version.
    
    _Available in: v40.0_
    

#### Responses

*   **200** _File Preview_ A file preview.
    
    Media type: `application/json`. Schema: `FilePreview`.
    

### GET File Rendition

`GET /connect/files/{fileId}/rendition`

Operation ID: `getFileRendition`. Tags: Files Resources.

Returns a rendition of the file. A rendition is a binary preview of the file. The format of the binary depends on the format specified in the request.

A rendition of the file. A rendition is a binary preview of the file. The format of the binary depends on the format specified in the request.

**Note**: For shared files, renditions process asynchronously after upload. For private files, renditions process when the first file preview is requested, and aren’t available immediately after the file is uploaded.

**Note**: In versions 24.0–35.0, use `/chatter/files/{fileId}/rendition` and `/connect/communities/{communityId}/chatter/files/{fileId}/rendition`, which require Chatter.

_Available in: v36.0_

#### Experience Cloud site path

`/connect/communities/{communityId}/files/{fileId}/rendition`

_Available in: v36.0_

#### Parameters

*   `fileId` (path, string (Id), required) ID of a file.  
    Pattern: ^(069)\\w\*.
*   `page` (query, integer)
    
    Specify a rendition of a specific page. The first page is 0. If you don’t specify a specific page, a rendition of the first page is returned.
    
    For a PDF file rendition, the rendition is for the entire document. The only valid value is 0: you can’t get the rendition of a single page.
    
*   `type` (query, string)
    
    Specify the type of rendition to be returned. Default value is `THUMB120BY90`. Valid values are:
    
    *   `PDF`
    *   `THUMB120BY90`
    *   `THUMB240BY180`
    *   `THUMB720BY480`

#### Responses

*   **200** Binary stream of the rendition.
    
    Media type: `application/octet-stream`. Schema: `string (binary)`.
    
    Binary stream of the rendition.
    
    Type: `string (binary)`.
    

### GET Folder Information

`GET /connect/folders/{folderId}`

Operation ID: `getFolderDetail`. Tags: Folders Resources.

Return details about a folder. Also used for deleting and renaming the folder.

Get information about the specified folder.

**Note**: In versions 30.0–35.0, use `/chatter/folders/{folderId}`, which requires Chatter.

_Available in: v36.0_

#### Parameters

*   `folderId` (path, string (IdOrRoot), required)
    
    ID of the folder.
    
    You can use `root` as the `{folderId}`.
    
      
    Pattern: ^(07H)\\w\*|root.

#### Responses

*   **200** _Folder_ Description of a folder.
    
    Media type: `application/json`. Schema: `FolderDetail`.
    

### DELETE Folder Information

`DELETE /connect/folders/{folderId}`

Operation ID: `deleteFolderDetail`. Tags: Folders Resources.

Return details about a folder. Also used for deleting and renaming the folder.

Delete a folder. Deleting a folder deletes all the folders within that folder and removes all files from the deleted folders.

**Note**: In versions 30.0–35.0, use `/chatter/folders/{folderId}`, which requires Chatter.

_Available in: v36.0_

#### Parameters

*   `folderId` (path, string (IdOrRoot), required)
    
    ID of the folder.
    
    You can use `root` as the `{folderId}`.
    
      
    Pattern: ^(07H)\\w\*|root.

#### Responses

*   **200** Success

### PATCH Folder Information

`PATCH /connect/folders/{folderId}`

Operation ID: `patchFolderDetail`. Tags: Folders Resources.

Return details about a folder. Also used for deleting and renaming the folder.

Move and rename a folder.

**Note**: In versions 30.0–35.0, use `/chatter/folders/{folderId}`, which requires Chatter.

**Note**: Salesforce Files Sync was retired on May 25, 2018.

_Available in: v36.0_

#### Parameters

*   `folderId` (path, string (IdOrRoot), required)
    
    ID of the folder.
    
    You can use `root` as the `{folderId}`.
    
      
    Pattern: ^(07H)\\w\*|root.
*   `isInMyFileSync` (query, boolean)
    
    `true` if the folder and all folders in this folder are synced with Salesforce Files Sync; `false` otherwise.
    
    Salesforce Files Sync was retired on May 25, 2018.
    
    _Available in: v33.0_
    
*   `name` (query, string)
    
    The new name for the folder
    
    Required to rename a folder.
    
    _Available in: v30.0_
    
*   `parentFolderId` (query, string)
    
    The ID of the new parent folder. If `null`, the folder is removed from its current folder. If the specified ID is `root`, the folder is moved to the root of the user’s folder hierarchy.
    
    Required to move a folder.
    
    _Available in: v30.0_
    

#### Request body

Folder input.

_Available in: v33.0_

Media type: `application/json`. Schema: `FolderInput`.

_Example: example\_1_ Payload 1

```
{
  "path": "my_documents/my_folder"
}
```

#### Responses

*   **200** _Folder_ Description of a folder.
    
    Media type: `application/json`. Schema: `FolderDetail`.
    

### GET Folders Shares Link

`GET /connect/folders/{folderId}/folder-shares/link`

Operation ID: `getFolderShareLink`. Tags: Folders Resources.

Manages creation, access, and deletion of a folder's link share.

Access a folder’s share link.

_Available in: v44.0_

#### Parameters

*   `folderId` (path, string (Id), required) ID of the folder.  
    Pattern: ^(07H)\\w\*.

#### Responses

*   **200** _Folder Share Link_ Success
    
    Media type: `application/json`. Schema: `FolderShareLink`.
    

### PUT Folders Shares Link

`PUT /connect/folders/{folderId}/folder-shares/link`

Operation ID: `putFolderShareLink`. Tags: Folders Resources.

Manages creation, access, and deletion of a folder's link share.

Create a folder’s share link.

_Available in: v44.0_

#### Parameters

*   `folderId` (path, string (Id), required) ID of the folder.  
    Pattern: ^(07H)\\w\*.

#### Responses

*   **200** _Folder Share Link_ Success
    
    Media type: `application/json`. Schema: `FolderShareLink`.
    

### DELETE Folders Shares Link

`DELETE /connect/folders/{folderId}/folder-shares/link`

Operation ID: `deleteFolderShareLink`. Tags: Folders Resources.

Manages creation, access, and deletion of a folder's link share.

Delete a folder’s share link.

_Available in: v44.0_

#### Parameters

*   `folderId` (path, string (Id), required) ID of the folder.  
    Pattern: ^(07H)\\w\*.

#### Responses

*   **204** _Successful Delete_ Success

### GET Folder Contents

`GET /connect/folders/{folderId}/items`

Operation ID: `getFolderItems`. Tags: Folders Resources.

Return details about the items in a folder. Also used for adding items to a folder.

Get information about the contents of a folder.

**Note**: In versions 30.0–35.0, use `/chatter/folders/{folderId}/items`, which requires Chatter.

_Available in: v36.0_

#### Parameters

*   `folderId` (path, string (IdOrRoot), required)
    
    ID of the folder.
    
    You can use `root` as the `{folderId}`.
    
      
    Pattern: ^(07H)\\w\*|root.
*   `filter` (query, ConnectFolderItemFilterEnum)
    
    Specifies a filter for items within a folder.
    
    _Available in: v33.0_
    
*   `page` (query, integer)
    
    An integer specifying a page of items. The default value is 0, which returns the first page.
    
    _Available in: v30.0_
    
*   `pageSize` (query, integer)
    
    Specifies the number of items per page. Valid values are from 1 through 100. If you don't specify a size, the default is 25.
    
    _Available in: v30.0_
    

#### Responses

*   **200** _Folder Item Page_ A paged collection of Folder Item response bodies.
    
    Media type: `application/json`. Schema: `FolderItemPage`.
    

### POST Folder Contents

`POST /connect/folders/{folderId}/items`

Operation ID: `postFolderItems`. Tags: Folders Resources.

Return details about the items in a folder. Also used for adding items to a folder.

Add a file to a folder. Create a folder.

**Note**: In versions 30.0–35.0, use `/chatter/folders/{folderId}/items`, which requires Chatter.

_Available in: v36.0_

#### Parameters

*   `folderId` (path, string (IdOrRoot), required)
    
    ID of the folder.
    
    You can use `root` as the `{folderId}`.
    
      
    Pattern: ^(07H)\\w\*|root.
*   `desc` (query, string)
    
    The description of the file
    
    _Available in: v30.0_
    
*   `folderPath` (query, string)
    
    The path to the folder
    
    Required when creating a folder (type=Folder).
    
    _Available in: v30.0_
    
*   `isInMyFileSync` (query, boolean)
    
    `true` if the folder and all folders in this folder are synced with Salesforce Files Sync; `false` otherwise.
    
    Salesforce Files Sync was retired on May 25, 2018.
    
    _Available in: v33.0_
    
*   `sharingOption` (query, string)
    
    Sharing option of the file. Values are:
    
    *   `Allowed` — Resharing of the file is allowed.
    *   `Restricted` — Resharing of the file is restricted.
    
    _Available in: v35.0_
    
*   `sharingPrivacy` (query, string)
    
    Sharing privacy of a file. Values are:
    
    *   `None` — File is visible to anyone with record access.
    *   `PrivateOnRecords` — File is private on records.
    
    _Available in: v41.0_
    
*   `title` (query, string)
    
    The title of the file
    
    _Available in: v30.0_
    
*   `type` (query, ConnectFolderItemTypeEnum, required)
    
    The item type. To add a file to a folder, the value must be `File`. To create a folder, the value must be `Folder`.
    
    _Available in: v30.0_
    

#### Request body

Folder Item Input

_Available in: v30.0_

Media type: `multipart/form-data`. Schema: `object`.

*   `fileData` (_string (binary)_)
*   `folderItem` (_FolderItemInput_)

#### Responses

*   **200** _Folder Item_ Description of an item (file or folder) in a folder.
    
    Media type: `application/json`. Schema: `FolderItem`.
    

#### Code samples

_Example: Example 1 · HTTP_

```
{
   "file" :
      {
         "description" : "Yearly Report for Universal Containers Box Division",
         "title" : "Yearly.txt"
      },
   "type" : "File"
}
```

_Example: Example 2 · HTTP_

```
{
   "folder" :
      {
         "path" : "my_documents/my_folder"
      },
   "type" : "Folder"
}
```

## Schemas

### FilesConnectRepositoryContenthub

Information about a Files Connect repository.

*   `authentication` (_object_)
    
    FilesConnectRepositoryAuthentication
    
    Repository authentication information.
    
    _Available in: v40.0_
    
    _Filter group: Small_
    
    Includes all fields of `FilesConnectRepositoryAuthenticationContenthub`.
    
*   `features` (_object_)
    
    FilesConnectRepositoryFeatures
    
    Repository features.
    
    _Available in: v32.0_
    
    _Filter group: Small_
    
    Includes all fields of `FilesConnectRepositoryFeatures`.
    
*   `id` (_string (Id)_)
    
    18-character ID of the record.
    
    _Available in: v23.0_
    
    _Filter group: Small_
    
*   `label` (_string_)
    
    Repository label.
    
    _Available in: v32.0_
    
    _Filter group: Small_
    
*   `motif` (_object_)
    
    MotifContenthub
    
    Small, medium, and large icons indicating that the object is a user. The motif can also contain the object’s base color.
    
    The motif icon is not the user’s profile photo.
    
    _Available in: v27.0_
    
    _Filter group: Small_
    
    Includes all fields of `MotifContenthub`.
    
*   `mySubscription` (_object_)
    
    ReferenceChatter
    
    If the context user is following this user, contains information about the subscription, otherwise `null`.
    
    _Available in: v23.0_
    
    _Filter group: Medium_
    
    Includes all fields of `ReferenceChatter`.
    
*   `name` (_string_)
    
    Repository name.
    
    _Available in: v32.0_
    
    _Filter group: Small_
    
*   `providerType` (_object_)
    
    FilesConnectProviderType
    
    Repository provider type.
    
    _Available in: v32.0_
    
    _Filter group: Small_
    
    Includes all fields of `FilesConnectProviderType`.
    
*   `rootFolderItemsUrl` (_string (url)_)
    
    URL to the repository root folder items, or `null` if the repository does not support browsing.
    
    _Available in: v32.0_
    
    _Filter group: Small_
    
*   `type` (_string_)
    
    Type of record, such as `CustomObject` or `ContentDocument` .
    
    _Available in: v23.0_
    
    _Filter group: Small_
    
*   `url` (_string (url)_)
    
    Relative URL to this record.
    
    _Available in: v23.0_
    
    _Filter group: Small_
    

### FilesConnectRepositoryCollection

A collection of Files Connect repositories.

*   `currentPageUrl` (_string (url)_)
    
    Connect REST API URL identifying the current page.
    
    _Available in: v32.0_
    
    _Filter group: Medium_
    
*   `nextPageUrl` (_string (url)_)
    
    Connect REST API URL identifying the next page, or `null` if there isn’t a next page.
    
    _Available in: v32.0_
    
    _Filter group: Small_
    
*   `previousPageUrl` (_string (url)_)
    
    Connect REST API URL identifying the previous page, or `null` if there isn’t a previous page.
    
    _Available in: v32.0_
    
    _Filter group: Medium_
    
*   `repositories` (_array of FilesConnectRepositoryContenthub_)
    
    Collection of repositories.
    
    _Available in: v32.0_
    
    _Filter group: Small_
    

### RepositoryDirectoryEntryCollection

A collection of directory entries.

*   `directoryEntries` (_RepositoryGroupSummaryContenthub | RepositoryUserSummary_)
    
    Collection of directory entries.
    
    _Available in: v35.0_
    
    _Filter group: Small_
    
    One of: `RepositoryGroupSummaryContenthub`, `RepositoryUserSummary`.
    

### RepositoryFileDetail

Detail description of a repository file.

*   `checkinComment` (_string_)
    
    Checkin comment of the file.
    
    _Available in: v32.0_
    
    _Filter group: Small_
    
*   `contentBody` (_string_)
    
    Text of the file’s content if available, otherwise `null`.
    
    _Available in: v43.0_
    
    _Filter group: Big_
    
*   `contentItemSize` (_number (int64)_)
    
    Length in bytes of the content of the file, including files that are larger than 2 GB.
    
    _Available in: v65.0_
    
    _Filter group: Small_
    
*   `contentSize` (_integer_)
    
    Length in bytes of the content of the file, for files that are smaller than 2 GB.
    
    _Available in: v32.0_
    
    _Filter group: Small_
    
*   `createdBy` (_string_)
    
    Name of user who created the folder.
    
    _Available in: v32.0_
    
    _Filter group: Small_
    
*   `createdDate` (_string (date-time)_)
    
    Created date of the folder in ISO 8601 format.
    
    _Available in: v32.0_
    
    _Filter group: Small_
    
*   `description` (_string_)
    
    Folder description.
    
    _Available in: v32.0_
    
    _Filter group: Small_
    
*   `downloadUrl` (_string (url)_)
    
    URL to the repository file content.
    
    _Available in: v32.0_
    
    _Filter group: Small_
    
*   `externalContentUrl` (_string (url)_)
    
    URL to this file’s content in the external system.
    
    _Available in: v32.0_
    
    _Filter group: Small_
    
*   `externalDocumentUrl` (_string (url)_)
    
    URL to this file in the external system.
    
    _Available in: v32.0_
    
    _Filter group: Small_
    
*   `externalFilePermissionInformation` (_object_)
    
    ExternalFilePermissionInformationContenthub
    
    External file permission information, such as available groups, available permission types, and current sharing status, or `null` when `includeExternalFilePermissionsInfo` is `false` .
    
    _Available in: v36.0_
    
    _Filter group: Big_
    
    Includes all fields of `ExternalFilePermissionInformationContenthub`.
    
*   `id` (_string_)
    
    ID of the folder.
    
    _Available in: v32.0_
    
    _Filter group: Small_
    
*   `itemTypeUrl` (_string (url)_)
    
    URL to the item type information.
    
    _Available in: v35.0_
    
    _Filter group: Small_
    
*   `mimeType` (_string_)
    
    Mime type of the file.
    
    _Available in: v32.0_
    
    _Filter group: Small_
    
*   `modifiedBy` (_string_)
    
    Name of user who last modified the folder.
    
    _Available in: v32.0_
    
    _Filter group: Small_
    
*   `modifiedDate` (_string (date-time)_)
    
    Last modified date of the folder in ISO 8601 format.
    
    _Available in: v32.0_
    
    _Filter group: Small_
    
*   `motif` (_object_)
    
    MotifContenthub
    
    Motif of the folder.
    
    _Available in: v32.0_
    
    _Filter group: Small_
    
    Includes all fields of `MotifContenthub`.
    
*   `name` (_string_)
    
    Name of the folder.
    
    _Available in: v32.0_
    
    _Filter group: Small_
    
*   `previewsUrl` (_string (url)_)
    
    URL to the previews.
    
    _Available in: v36.0_
    
    _Filter group: Small_
    
*   `previewUrlThumbnail` (_string (url)_)
    
    URL to the thumbnail (240 x 180 PNG) preview.
    
    _Available in: v36.0_
    
    _Filter group: Small_
    
*   `previewUrlThumbnailBig` (_string (url)_)
    
    URL to the big thumbnail (720 x 480 PNG) preview.
    
    _Available in: v36.0_
    
    _Filter group: Small_
    
*   `previewUrlThumbnailTiny` (_string (url)_)
    
    URL to the tiny thumbnail (120 x 90 PNG) preview.
    
    _Available in: v36.0_
    
    _Filter group: Small_
    
*   `repository` (_object_)
    
    ReferenceChatter
    
    The folder external repository.
    
    _Available in: v32.0_
    
    _Filter group: Small_
    
    Includes all fields of `ReferenceChatter`.
    
*   `title` (_string_)
    
    Title of the file.
    
    _Available in: v32.0_
    
    _Filter group: Small_
    
*   `type` (_string_)
    
    Record type, `folder`.
    
    _Available in: v32.0_
    
    _Filter group: Small_
    
*   `url` (_string (url)_)
    
    Connect REST API URL to this folder.
    
    _Available in: v32.0_
    
    _Filter group: Small_
    
*   `versionId` (_string_)
    
    ID of the file version in the external system.
    
    _Available in: v32.0_
    
    _Filter group: Small_
    

### FilePreviewCollectionContenthub

A collection of file previews.

*   `fileId` (_string (Id)_)
    
    ID of the file.
    
    _Available in: v35.0_
    
    _Filter group: Small_
    
*   `previews` (_array of FilePreviewContenthub_)
    
    Previews supported for the file.
    
    _Available in: v35.0_
    
    _Filter group: Small_
    
*   `url` (_string (url)_)
    
    URL to the current page of file previews.
    
    _Available in: v35.0_
    
    _Filter group: Medium_
    
*   `versionNumber` (_string_)
    
    Version number of the file.
    
    _Available in: v40.0_
    
    _Filter group: Medium_
    

### ConnectFilePreviewFormatEnumContenthub

The format of the preview. Values are:

*   `Audio` —Preview format is MP3.
*   `Jpg` —Preview format is JPG.
*   `Pdf` —Preview format is PDF.
*   `Svg` —Preview format is compressed SVG.
*   `Thumbnail` —Preview format is 240 x 180 PNG.
*   `ThumbnailBig` —Preview format is 720 x 480 PNG.
*   `ThumbnailTiny` —Preview format is 120 x 90 PNG.
*   `Video` —Preview format is MP4.

_Available in: v35.0_

_Filter group: Small_

Type: `string`.

Allowed values: `Audio`, `Jpg`, `Pdf`, `Svg`, `Thumbnail`, `ThumbnailBig`, `ThumbnailTiny`, `Video`.

### FilePreviewContenthub

A file preview.

*   `format` (_object_)
    
    ConnectFilePreviewFormatEnum
    
    The format of the preview. Values are:
    
    *   `Audio` —Preview format is MP3.
    *   `Jpg` —Preview format is JPG.
    *   `Pdf` —Preview format is PDF.
    *   `Svg` —Preview format is compressed SVG.
    *   `Thumbnail` —Preview format is 240 x 180 PNG.
    *   `ThumbnailBig` —Preview format is 720 x 480 PNG.
    *   `ThumbnailTiny` —Preview format is 120 x 90 PNG.
    *   `Video` —Preview format is MP4.
    
    _Available in: v35.0_
    
    _Filter group: Small_
    
    Includes all fields of `ConnectFilePreviewFormatEnumContenthub`.
    
*   `previewUrlCount` (_integer_)
    
    The total number of preview URLs for this preview format.
    
    _Available in: v35.0_
    
    _Filter group: Small_
    
[...]
